## org.eclipse.uml2.uml
Interface ProtocolConformance

All Superinterfaces:
  DirectedRelationship, Element, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, Relationship

    public interface ProtocolConformance

extends DirectedRelationship

A representation of the model object 'Protocol Conformance'. Protocol state machines can be redefined into more specific protocol state machines, or into behavioral state machines. Protocol conformance declares that the specific protocol state machine specifies a protocol that conforms to the general state machine one, or that the specific behavioral state machine abide by the protocol of the general protocol state machine.

The following features are supported:

- `General Machine`
- `Specific Machine`

See Also:
  `UMLPackage.getProtocolConformance()`

Method Summary
`ProtocolStateMachine` `getGeneralMachine()` Returns the value of the 'General Machine' reference.
`ProtocolStateMachine` `getSpecificMachine()` Returns the value of the 'Specific Machine' container reference.
`void` `setGeneralMachine(ProtocolStateMachine value)` Sets the value of the '`General Machine`' reference
`void` `setSpecificMachine(ProtocolStateMachine value)` Sets the value of the '`Specific Machine`' container reference

Methods inherited from interface org.eclipse.uml2.uml.DirectedRelationship
`getSources, getTargets`

Methods inherited from interface org.eclipse.uml2.uml.Relationship
`getRelatedElements`

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getGeneralMachine

    ProtocolStateMachine getGeneralMachine()

  Returns the value of the 'General Machine' reference.

  This feature subsets the following features:

  - '`Target`'
  Specifies the protocol state machine to which the specific state machine conforms.

  Returns:
    the value of the 'General Machine' reference.
  See Also:
    `setGeneralMachine(ProtocolStateMachine)`, `UMLPackage.getProtocolConformance_GeneralMachine()`

### setGeneralMachine

    void setGeneralMachine(ProtocolStateMachine value)

  Sets the value of the '`General Machine`' reference.

  Parameters:
    `value` - the new value of the 'General Machine' reference.
  See Also:
    `getGeneralMachine()`

### getSpecificMachine

    ProtocolStateMachine getSpecificMachine()

  Returns the value of the 'Specific Machine' container reference. It is bidirectional and its opposite is '`Conformance`'.

  This feature subsets the following features:

  - '`Source`'
  - '`Owner`'
  Specifies the state machine which conforms to the general state machine.

  Returns:
    the value of the 'Specific Machine' container reference.
  See Also:
    `setSpecificMachine(ProtocolStateMachine)`, `UMLPackage.getProtocolConformance_SpecificMachine()`, `ProtocolStateMachine.getConformances()`

### setSpecificMachine

    void setSpecificMachine(ProtocolStateMachine value)

  Sets the value of the '`Specific Machine`' container reference.

  Parameters:
    `value` - the new value of the 'Specific Machine' container reference.
  See Also:
    `getSpecificMachine()`

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.